Subject: openbsc.git branch master updated. 0.13.0-252-gf46e226
From: [email-masked]
To: [email-masked]
Date: Wed, 8 Jan 2014 09:50:03 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)".

The branch, master has been updated
       via  f46e226428a81c4faa12987c1b05457e60b43efe (commit)
      from  095bd36627a5d96a372b4924d0c0cbbc2fa98359 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/openbsc/commit/?id=f46e226428a81c4faa12987c1b05457e60b43efe

commit f46e226428a81c4faa12987c1b05457e60b43efe
Author: Jacob Erlbeck <[email-masked]>
Date:   Tue Jan 7 15:05:16 2014 +0100

    nitb: Set the DST field in generated MM info messages
    
    Currently the NET_DST information element (see GSM 24.008) is not
    included in generated MM info messages even when the DST field in the
    timezone info has been set via the VTY or the control interface.
    
    This patch modifies gsm48_tx_mm_info() to append this information
    element if (and only if) a non-zero DST has been configured. The
    DST IE is not part of GSM 4.8. Therefore it will only be sent, if the
    DST offset is configured to a value != 0.
    
    The DST functionality has been verified with wireshark by Jacob.
    
    Sponsored-by: On-Waves ehf

-----------------------------------------------------------------------

Summary of changes:
 openbsc/src/libmsc/gsm_04_08.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

hooks/post-receive
-- 
The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)